# Class AviCreator

java.lang.Object
org.jmol.image.AviCreator

All Implemented Interfaces:
  `JmolMovieCreatorInterface`

public class AviCreator extends Object implements JmolMovieCreatorInterface

## Constructor Summary

Constructors
Constructor
Description
`AviCreator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`createMovie(Viewer vwr, String[] files, int width, int height, int fps, String fileName)`
create a movie from a set of image files

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AviCreator

public AviCreator()

## Method Details

### createMovie

public String createMovie(Viewer vwr, String[] files, int width, int height, int fps, String fileName)
Description copied from interface: `JmolMovieCreatorInterface`
create a movie from a set of image files

Specified by:
  `createMovie` in interface `JmolMovieCreatorInterface`
Parameters:
  `vwr` -
  `files` -
  `width` -
  `height` -
  `fps` -
  `fileName` -
Returns:
  null if no error, errorMsg if an error occurs